(ns wanijo.repl
  (:require [clojurewerkz.neocons.rest.nodes :as nodes]
            [clojurewerkz.neocons.rest.labels :as labels]
            [buddy.hashers :as hashers]
            [wanijo.neo4j :as neo4j]))

(defn create-user! [ident pw]
  (let [node (nodes/create
              neo4j/conn
              {:ident ident
               :pw (hashers/derive pw)})]
    (labels/add neo4j/conn node "user")))
